

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.63. table_list &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.64. table_remove" href="table_remove.html" />
    <link rel="prev" title="7.3.62. table_create" href="table_create.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/table_list.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="table_remove.html" title="7.3.64. table_remove"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="table_create.html" title="7.3.62. table_create"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.63. </span><code class="docutils literal notranslate"><span class="pre">table_list</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="table-list">
<h1><span class="section-number">7.3.63. </span><code class="docutils literal notranslate"><span class="pre">table_list</span></code><a class="headerlink" href="#table-list" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.63.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>table_list - DBに定義されているテーブルをリスト表示</p>
<p>Groonga組込コマンドの一つであるtable_listについて説明します。組込コマンドは、groonga実行ファイルの引数、標準入力、またはソケット経由でgroongaサーバにリクエストを送信することによって実行します。</p>
<p>table_listは、DBに定義されているテーブルのリストを表示します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.63.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_list
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.63.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_list
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         &quot;id&quot;,
#         &quot;UInt32&quot;
#       ],
#       [
#         &quot;name&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;path&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;flags&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;domain&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;range&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;default_tokenizer&quot;,
#         &quot;ShortText&quot;
#       ],
#       [
#         &quot;normalizer&quot;,
#         &quot;ShortText&quot;
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.63.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>ありません。</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.63.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>テーブル名一覧が以下の形式で返却されます。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[[[テーブル情報名1,テーブル情報型1],...], テーブル情報1,...]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">テーブル情報名n</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">テーブル情報n</span></code> には複数の情報が含まれますが、そこに入る情報がどんな内容かを示す名前を出力します。
情報名は以下の通りです。</p>
<p><code class="docutils literal notranslate"><span class="pre">id</span></code></p>
<blockquote>
<div><p>テーブルオブジェクトに割り当てられたID</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">name</span></code></p>
<blockquote>
<div><p>テーブル名</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">path</span></code></p>
<blockquote>
<div><p>テーブルのレコードを格納するファイル名</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">flags</span></code></p>
<blockquote>
<div><p>テーブルのflags属性</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">domain</span></code></p>
<blockquote>
<div><p>主キー値の属する型</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">range</span></code></p>
<blockquote>
<div><p>valueが属する型</p>
</div></blockquote>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">テーブル情報型n</span></code></p>
<blockquote>
<div><p>テーブル情報の型を出力します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">テーブル情報n</span></code></p>
<blockquote>
<div><p><code class="docutils literal notranslate"><span class="pre">テーブル情報名n</span></code> で示された情報の配列を出力します。
情報の順序は <code class="docutils literal notranslate"><span class="pre">テーブル情報名n</span></code> の順序と同じです。</p>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.63. <code class="docutils literal notranslate"><span class="pre">table_list</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.63.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.63.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.63.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.63.4. 引数</a></li>
<li><a class="reference internal" href="#return-value">7.3.63.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="table_create.html"
                        title="前の章へ"><span class="section-number">7.3.62. </span><code class="docutils literal notranslate"><span class="pre">table_create</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="table_remove.html"
                        title="次の章へ"><span class="section-number">7.3.64. </span><code class="docutils literal notranslate"><span class="pre">table_remove</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="table_remove.html" title="7.3.64. table_remove"
             >次へ</a> |</li>
        <li class="right" >
          <a href="table_create.html" title="7.3.62. table_create"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.63. </span><code class="docutils literal notranslate"><span class="pre">table_list</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>